<!DOCTYPE html>
<html lang="en">
  <head>
    <title>
      {% if title %}
      {{ title }} - {% if config['APP_NAME'] %}{{ config['APP_NAME'] }}{% else %}Flask Base{% endif %}
      {% else %}
      {{ _('Welcome to') }} Flask Base
      {% endif %}
    </title>
    <meta charset="UTF-8" />
    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="robots" content="none, noarchive, nocache">
    <meta name="title" content="{% if g.get('app_meta_title') %}{{ g.get('app_meta_title') }}{% endif %}">
<meta name="description" content="{% if g.get('app_meta_desc') %}{{ g.get('app_meta_desc') }}{% endif %}">
<meta name="keywords" content="{% if g.get('app_meta_keyw') %}{{ g.get('app_meta_keyw') }}{% endif %}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{ url_for('static', filename='img/favicon/favicon-32x32.png') }}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ url_for('static', filename='img/favicon/favicon-16x16.png') }}">
    <link rel="manifest" href="{{ url_for('static', filename='img/favicon/site.webmanifest') }}">
    <!-- Load required Bootstrap and BootstrapVue CSS -->
    <link
      type="text/css"
      rel="stylesheet"
      href="https://unpkg.com/bootstrap/dist/css/bootstrap.min.css"
    />
    <link
      type="text/css"
      rel="stylesheet"
      href="https://unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.min.css"
    />
    <link rel="stylesheet" href="{{ url_for('static', filename='css/pos/style.css') }}" />
  </head>
  <body onload="updateClock(); setInterval('updateClock()', 1000 )">
    <noscript>
      <strong>
        {{ _('We are sorry but client does not work properly without JavaScript enabled. Please enable it to continue.') }}
      </strong>
    </noscript>
    <div id="app">
      <b-container fluid>
        <b-row>
          <b-col md="12" lg="8">
            <!-- navbar -->
            <b-navbar toggleable="sm">
              <b-navbar-brand>
                {% if bp.business_profile_logo_name %}
                <img src="{{ url_for('.display_image_logo', filename=bp.business_profile_logo_name) }}" alt="{{ bp.business_profile_name}}" width="100">
                {% else %}
                <img src="{{ url_for('static', filename='img/100x100.svg') }}" alt="brand" height="50px" />
                {% endif %}
              </b-navbar-brand>
              <b-row>
                <b-col>
                  <b-row>
                    <b-col>
                      {% if bp.business_profile_name %}
                      <h5 class="mb-0">{{ bp.business_profile_name }}</h5>
                      {% else %}
                        <h5 class="mb-0">{{ _('Default Business Name') }}</h5>
                      {% endif %}
                    </b-col>
                  </b-row>
                  <b-row>
                    <b-col>
                      {% if bp.business_profile_address %}
                      <small>{{bp.business_profile_address  }}, {{ bp.business_profile_sub_district }}, {{ bp.business_profile_district }}, {{ bp.business_profile_province }}, {{ bp.business_profile_country }}</small>
                      {% else %}
                        <small>{{ _('Default Address') }}</small>
                      {%endif  %}
                    </b-col>
                  </b-row>
                </b-col>
              </b-row>
              <b-navbar-nav class="ml-auto">
                <b-row>
                  <b-col>
                    <b-row>
                      <span id="clock">&nbsp;</span>
                      <!-- {{ moment().format('LTS') }} -->
                    </b-row>
                    <b-row>
                      <small><b>{{ _('Login As') ~" "~ current_user.username }}</b></small>
                    </b-row>
                  </b-col>
                </b-row>
              </b-navbar-nav>
            </b-navbar>

            <!-- alert -->
            <alert :message="message" v-if="showMessage"></alert>

            <div>
              <b-col class="my-2">
                <b-form-group
                  label="{{ _('Filter') }}"
                  label-for="filter-input"
                  label-cols-md="1"
                  label-align-md="left"
                  label-size="md"
                  class="mb-0"
                >
                  <b-input-group size="md">
                    <b-form-input
                      list="filter-input"
                      v-model="searchData"
                      type="search"
                      placeholder="{{ _('Type to Search') }}"
                    ></b-form-input>

                    <b-input-group-append>
                      <b-button :disabled="!searchData" @click="searchData = ''">{{ _('Clear') }}</b-button>
                    </b-input-group-append>
                  </b-input-group>
                </b-form-group>
              </b-col>
              <b-card no-body>
                <b-tabs card>
                  <b-tab title="All Product">
                    <main class="list-barang">
                      <b-row>
                        <b-col
                          lg="4"
                          md="6"
                          v-for="item of filterData"
                          class="mb-4"
                          :key="item.product_id"
                        >
                          <b-card
                            :img-src="'/static/'+item.product_photo_path"
                            img-alt="item.product_name"
                            img-top
                            tag="article"
                            :title="item.product_name.toUpperCase()"
                            :sub-title="formatCurrency(item.product_selling_price)"
                            @click="addCart(item)"
                            :disabled="!item.product_status"
                          >
                          <b-card-text v-if="item.product_stock <= 3" class="text-danger"><small>{{ _('Remaining Stock : [{ item.product_stock }]') }}</small></b-card-text>
                        </b-card>
                        </b-col>
                      </b-row>
                    </main>
                  </b-tab>
                  <b-tab v-for="category in navs.category" :key="category.id" :title="category.name">
                    <main class="list-barang">
                      <b-row>
                        <b-col
                          lg="4"
                          md="6"
                          v-for="item of filterData"
                          v-if="item.category_id === category.id"
                          class="mb-4"
                          :key="item.product_id"
                        >
                          <b-card
                            :img-src="'/static/'+item.product_photo_path"
                            img-alt="item.product_name"
                            img-top
                            tag="article"
                            :title="item.product_name.toUpperCase()"
                            :sub-title="formatCurrency(item.product_selling_price)"
                            @click="addCart(item)"
                            :disabled="!item.product_status"
                          >
                          <b-card-text v-if="item.product_stock <= 3" class="text-danger"><small>{{ _('Remaining Stock : [{ item.product_stock }]') }}</small></b-card-text>
                        </b-card>
                        </b-col>
                      </b-row>
                    </main>
                  </b-tab>
                </b-tabs>
              </b-card>
            </div>

          </b-col>
          <b-col md="12" lg="4">
            <b-list-group flush>
              <b-list-group-item>
                {% if current_user.roles == ['Cashier'] %}
                <a href="{{ url_for('mod_dashboard.index') }}"><b-icon icon="arrow-bar-left"></b-icon></a>
                {% else %}
                <a href="{{ url_for('mod_pos.transaction') }}"><b-icon icon="arrow-bar-left"></b-icon></a>
                {% endif %}
                <b>{{ _('Cart') }}</b>
              </b-list-group-item>
              <b-list-group-item>
                <!-- list cart -->
                <aside class="list-cart">
                  <b-alert
                    v-if="carts.length == 0"
                    variant="warning"
                    show
                    class="mb-0"
                  >
                    {{ _('Please select product first') }}
                  </b-alert>
                  <!--  -->
                  <div v-else :key="u_cart">
                    <list-cart
                    v-for="item in carts"
                    :key="item.product_id"
                    :data="item"
                    @update-cart="updateCart"
                  ></list-cart>
                  </div>
                </aside>
              </b-list-group-item>
              <b-list-group-item
                class="d-flex justify-content-between align-items-center"
              >
                <div>{{ _('Items Total') }}</div>
                <b-badge variant="primary" pill>[{ total.item }]</b-badge>
              </b-list-group-item>
              <b-list-group-item
                class="d-flex justify-content-between align-items-center"
              >
                <div>{{ _('Prices Total') }}</div>
                <div class="text-danger">
                  [{ new Intl.NumberFormat('id-ID', { style: 'currency', currency: 'IDR', maximumSignificantDigits: 6 }).format(total.price) }]
                </div>
              </b-list-group-item>
              <b-form @submit="postSales">
                <b-list-group-item
                  class="d-flex justify-content-between align-items-center"
                >
                  <b-form-group>
                    <label for="inline-form-money-paid">{{ _('Money Paid') }}</label>
                    <b-form-input
                      id="inline-form-money-paid"
                      v-model="total.paid"
                      type="number"
                      required
                      :disabled="!disableButton"
                      :min="total.price"
                      :state="validation"
                    ></b-form-input>
                    <b-form-invalid-feedback :state="validation">
                      {{_('Must be same or grater than total price')}}
                    </b-form-invalid-feedback>
                    <b-form-valid-feedback :state="validation"></b-form-valid-feedback>
                  </b-form-group>
                </b-list-group-item>
                <b-list-group-item
                  class="d-flex justify-content-between align-items-center"
                >
                  <div>{{ _('Change') }}</div>
                  <div class="text-warning">
                    [{ new Intl.NumberFormat('id-ID', { style: 'currency', currency: 'IDR', maximumSignificantDigits: 6 }).format(money_return) }]
                  </div> 
                </b-list-group-item>
                <b-list-group-item>
                  <b-button
                    type="submit"
                    block
                    size="lg"
                    style="background-color: orange; color: white; border: none"
                    :disabled="!disableButton"
                  >
                    {{ _('Pay Now') }}
                  </b-button>
                </b-list-group-item>
              </b-form>
            </b-list-group>
            <div style="display: none;" id="printMe">
              <div class="row">
                <div class="col-6">
                  <div class="row">
                    <div class="col-12 text-center">
                      {% if bp.business_profile_name %}
                        <h5 class="mb-0">{{ bp.business_profile_name }}</h5>
                      {% else %}
                        <h5 class="mb-0">{{ _('Default Business Name') }}</h5>
                      {% endif %}
                      <small>{{ bp.business_profile_address ~", "~ bp.business_profile_sub_district ~", "~ bp.business_profile_district }} <br/> {{ bp.business_profile_province ~", "~ bp.business_profile_phone_number }}</small>
                      ==================================
                    </div>
                    <div class="col-6">
                      <small> {{ _('Cashier : ') ~" "~ current_user.username }}</small>
                    </div>
                    <div class="col-6">
                      <small>{{ moment().format("lll") }}</small>
                    </div>
                    ---------------------------------------------------------------
                    <br><br>
                    <div class="col-12">
                      <table>
                        <thead>
                          <tr>                  
                            <td width="40%"><small>{{ _('Name') }}</small></td>
                            <td width="25%"><small>{{ _('Price') }}</small></td>
                            <td width="10%"><small>{{ _('Qty') }}</small></td>
                            <td width="25%"><small>{{ _('Sub Total') }}</small></td>
                          </tr>
                        </thead>
                        <tbody :key="u_cart"
                            v-for="item in carts"
                            :key="item.product_id"
                            :data="item">
                          <tr>
                            <td><small>[{ item.product_name }]</small></td>
                            <td><small>[{ new Intl.NumberFormat('id-ID', { style: 'currency', currency: 'IDR', maximumSignificantDigits: 6 }).format(item.product_selling_price) }]</small></td>
                            <td><small>[{ item.qty }]</small></td>
                            <td><small>[{ new Intl.NumberFormat('id-ID', { style: 'currency', currency: 'IDR', maximumSignificantDigits: 6 }).format(item.product_selling_price * item.qty) }]</small></td>
                          </tr>
                        </tbody>
                        <tfoot>
                          <tr>
                            <td colspan="4">
                            ------------------------------------------------------------
                            </td>
                          </tr>
                          <tr>
                            <td colspan="1"></td>
                            <td><small><strong>{{ _('Grand Total') }}</strong></small></td>
                            <td><small><strong>[{ total.item }]</strong></small></td>
                            <td><small><strong>[{ new Intl.NumberFormat('id-ID', { style: 'currency', currency: 'IDR', maximumSignificantDigits: 6 }).format(total.price) }]</strong></small></td>
                          </tr>
                          <tr>
                            <td colspan="2"></td>
                            <td><small>{{ _('Paid') }}</small></td>
                            <td><small>[{ new Intl.NumberFormat('id-ID', { style: 'currency', currency: 'IDR', maximumSignificantDigits: 6 }).format(total.paid) }]</small></td>
                          </tr>
                          <tr>
                            <td colspan="2"></td>
                            <td><small>{{ _('Return') }}</small></td>
                            <td><small>[{ new Intl.NumberFormat('id-ID', { style: 'currency', currency: 'IDR', maximumSignificantDigits: 6 }).format(total.money_return) }]</small></td>
                          </tr>
                        </tfoot>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
          </div>
          </b-col>
        </b-row>
      </b-container>
    </div>
    <!-- Load polyfills to support older browsers -->
    <script
      src="https://polyfill.io/v3/polyfill.js?features=es2015%2CIntersectionObserver"
      crossorigin="anonymous"
    ></script>
    <!-- Load Vue followed by BootstrapVue -->
    <!-- <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script> -->
    <script src="https://unpkg.com/vue"></script> 
    <script src="https://unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.min.js"></script>

    <!-- Load the following for BootstrapVueIcons support -->
    <script src="https://unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue-icons.min.js"></script>
    <!-- Load Axios -->
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="{{ url_for('static', filename='js/pos/main.js') }}"></script>
    <!-- Load vue to paper -->
    <script src="https://unpkg.com/vue-html-to-paper/build/vue-html-to-paper.js"></script>
    <script>Vue.use(VueHtmlToPaper, options);</script>
    {{ moment.include_jquery() }}
    {{ moment.include_moment() }}
    {{ moment.locale("id") }}
  </body>
</html>